Summary: A high quality TV viewer.
Name: tvtime
Version: 0.9.13
Release: 1sparc
License: GPL
Group: Applications/Multimedia
URL: http://tvtime.sourceforge.net

Source: http://prdownloads.sourceforge.net/tvtime/%{name}-%{version}.tar.gz
Patch2: tvtime-0.9.13-pie.patch
Patch3: tvtime-0.9.13-cvs.patch
Patch4: tvtime-0.9.13-sparc-deoptimize.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: freetype-devel >= 2.0
BuildRequires: zlib-devel
BuildRequires: libpng-devel
BuildRequires: XFree86-devel
BuildRequires: SDL-devel
BuildRequires: libxml2-devel

ExcludeArch: s390 s390x

%description
tvtime is a high quality television application for use with video
capture cards.  tvtime processes the input from a capture card and
displays it on a computer monitor or projector.  Unlike other television
applications, tvtime focuses on high visual quality making it ideal for
videophiles.

%prep
%setup -q
%patch3 -p1 -b .cvs
%ifnarch sparcv9
%patch4 -p1 -b .sparc
%endif

%build
%configure --disable-dependency-tracking

make %{?_smp_mflags}

%install
rm -rf %{buildroot}

%makeinstall

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING NEWS README* data/COPYING*
%doc docs/html
%doc %{_mandir}/man?/*
%config(noreplace) %{_sysconfdir}/tvtime/
%{_bindir}/tvtime-command
%{_bindir}/tvtime-configure
%{_bindir}/tvtime-scanner
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/apps/tvtime.png
%{_datadir}/pixmaps/*
%{_datadir}/tvtime/
%lang(de) %{_mandir}/de/man?/*
%defattr(4775, root, root, 0755)
%{_bindir}/tvtime

%changelog
* Tue Jan 25 2005 Tom "spot" Callaway <tcallawa@redhat.com>
- tvtime tries to aggressively overoptimize sparc to v9

* Wed Sep 29 2004 Than Ngo <than@redhat.com> 0.9.13-1
- update to 0.9.13

* Mon Jun 21 2004 Than Ngo <than@redhat.com> 0.9.12-10
- fix gcc-3.4 build problem, thank to Jakub

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon May 24 2004 Than Ngo <than@redhat.com> 0.9.12-8
- add another patch to enable PIE build of tvtime binary

* Mon May 17 2004 Than Ngo <than@redhat.com> 0.9.12-7
- add patch to enable PIE build

* Mon Apr 19 2004 Than Ngo <than@redhat.com> 0.9.12-6
- add BuildRequires: libxml2-devel, bug #121237

* Tue Mar 16 2004 Mike A. Harris <mharris@redhat.com 0.9.12-5
- BuildRequires: s/XFree86-libs/XFree86-devel/

* Thu Mar 11 2004 Than Ngo <than@redhat.com> 0.9.12-4
- fixed gcc-3.4 build problem

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Dec 04 2003 Than Ngo <than@redhat.com> 0.9.12-2
- get rid of unused vsync.c code, which is broken on ppc/ppc64.

* Wed Dec 03 2003 Than Ngo <than@redhat.com> 0.9.12-1
- 0.9.12 release

* Mon Nov 10 2003 Than Ngo <than@redhat.com> 0.9.10-2
- built into new Fedora tree

* Mon Oct 13 2003 Than Ngo <than@redhat.com> 0.9.10-1
- 0.9.10
